Bug 21142 - [PATCH] avoid errors from "make objlink" when NOOBJ is defined
Summary: [PATCH] avoid errors from "make objlink" when NOOBJ is defined
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: ru
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-09-09 08:00 UTC by leres
Modified: 2002-07-22 15:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (460 bytes, patch)
2000-09-09 08:00 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2000-09-09 08:00:02 UTC
	If NOOBJ is defined, make does not try to make an obj directory.
	However it still tries to make an objlink.

Fix: Context diffs to share/mk/bsd.obj.mk are appended. This
	Make objlink work like obj (a noop when NOOBJ is defined).

===================================================================
RCS file: RCS/bsd.obj.mk,v
retrieving revision 1.1
How-To-Repeat: 
	fun 401 % cd /usr/src/share/dict
	fun 402 % make obj objlink
	No /usr/obj/usr/src/share/dict to link to - do a make obj.
Comment 1 johan freebsd_committer 2002-06-15 23:21:49 UTC
Responsible Changed
From-To: freebsd-bugs->ru

Over to share/mk maintainer.
Comment 2 ru freebsd_committer 2002-06-21 08:31:12 UTC
State Changed
From-To: open->patched

Fixed in 5.0-CURRENT, in share/mk/bsd.obj.mk,v 1.44.
Comment 3 ru freebsd_committer 2002-07-22 15:31:43 UTC
State Changed
From-To: patched->closed

Fixed in 4.6-STABLE, in share/mk/bsd.obj.mk,v 1.30.2.8.